summaryrefslogtreecommitdiff
path: root/bootstrap
diff options
context:
space:
mode:
Diffstat (limited to 'bootstrap')
-rwxr-xr-xbootstrap17
1 files changed, 17 insertions, 0 deletions
diff --git a/bootstrap b/bootstrap
new file mode 100755
index 0000000..e3ed56e
--- /dev/null
+++ b/bootstrap
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+VERSION=$((cat .tarball-version \
+ || git describe --tags \
+ || echo "UNRELEASED") \
+ | sed 's|/|_|g')
+
+export HOME="hall-home"
+
+hall dist -x \
+ || exit 1
+
+sed -i "s/SNAPSHOT/$VERSION/g" configure.ac || exit 1
+
+autoreconf -vif || exit 1
+
+rm -rf hall-home